# Created by pyp2rpm-3.3.8
%global pypi_name osprofiler

Name:           python-%{pypi_name}
Version:        4.2.0
Release:        %mkrel 2
Summary:        OpenStack Profiler Library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/osprofiler/latest/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(netaddr) >= 0.7.18
BuildRequires:  python3dist(oslo.concurrency) >= 3.26
BuildRequires:  python3dist(oslo.serialization) >= 2.18
BuildRequires:  python3dist(oslo.utils) >= 3.33
BuildRequires:  python3dist(prettytable) >= 0.7.2
BuildRequires:  python3dist(requests) >= 2.14.2
BuildRequires:  python3dist(webob) >= 1.7.1

BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinxcontrib-apidoc)

%description
OSProfiler provides a tiny but powerful library that is used by most (soon to
be all) OpenStack projects and their python clients. It provides functionality
to be able to generate 1 trace per request, that goes through all involved
services. This trace can then be extracted and used to build a tree of calls
which can be quite handy for a variety of reasons (for example in isolating
cross-project performance issues).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
OSProfiler provides a tiny but powerful library that is used by most (soon to
be all) OpenStack projects and their python clients. It provides functionality
to be able to generate 1 trace per request, that goes through all involved
services. This trace can then be extracted and used to build a tree of calls
which can be quite handy for a variety of reasons (for example in isolating
cross-project performance issues).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/osprofiler


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.2.0-2.mga10
+ Revision: 2241831
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 4.2.0-1.mga10
+ Revision: 2159174
- new version: 4.2.0
- rebuild for python 3.13

* Fri Mar 01 2024 papoteur <papoteur> 4.1.0-1.mga10
+ Revision: 2046324
- rebuild for python 3.12
- new version 4.1.0

* Tue Dec 19 2023 papoteur <papoteur> 3.4.3-2.mga10
+ Revision: 2019400
- Mass Rebuild - Python 3.12

* Mon Aug 22 2022 wally <wally> 3.4.3-1.mga9
+ Revision: 1879155
- imported package python-osprofiler

